免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 1572 | 回复: 4

[FreeBSD] 10.0里面libiconv无法编码哦,需要这个库的注意~ [复制链接]

论坛徽章:
2
狮子座
日期:2013-08-26 15:25:32金牛座
日期:2013-09-05 15:45:36
发表于 2014-01-21 10:00 |显示全部楼层
  1. ===>  libiconv-1.14_1 converters/libiconv should not be used with iconv from base.  Please fix the port which tries to use it.
复制代码
pkg_info 和 pkg_version 命令已经木有了,只能使用pkg??

pkg-static upgrade
pkg2ng

pkg version |grep "<" 可以查看那些需要升级

怎么我pkg upgrade 所有ports编译的包都让我重新安装……呃有些软件有特殊不编译选项啊,比如nginx 我用了rtmp

论坛徽章:
2
辰龙
日期:2014-04-06 20:46:07巨蟹座
日期:2014-11-15 23:08:51
发表于 2014-01-21 10:25 |显示全部楼层
pkg info
pkg version

论坛徽章:
0
发表于 2014-01-21 15:41 |显示全部楼层
pkg lock
可以防止自动更新或修改
然后你将你自己编译的包重新编译一下

论坛徽章:
2
狮子座
日期:2013-08-26 15:25:32金牛座
日期:2013-09-05 15:45:36
发表于 2014-01-21 15:53 |显示全部楼层
ykklle 发表于 2014-01-21 15:41
pkg lock
可以防止自动更新或修改
然后你将你自己编译的包重新编译一下


这个功能不错哟
那些不要修改编译参数的就可以直接pkg了~
像php extensions这种就非常不错

论坛徽章:
0
发表于 2014-01-22 02:14 |显示全部楼层
/usr/src/UPDATING里面有提到libiconv的好像
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP